# 2019-05-19 twistedsymphony solid-orange.com
import os
import sys
input_file = sys.argv[1]
output_path = sys.argv[2]
smd_rom_size = 8388608 #8MB
dip_rom_size = 4194304 #4MB
number_of_roms = 22

#output_path = str.replace('\\', '/')
file_bytes = os.path.getsize(input_file)
print ("input file: " + input_file + " size: " + str(file_bytes))
print ("output path: " + output_path)

if(file_bytes > smd_rom_size*number_of_roms):
  print ("error: " + input_file + ' is too large for a 171-7919A cart.')


file_number = 0
with open(input_file, 'rb') as f:
    chunk = f.read(smd_rom_size)
    while chunk:
        with open(output_path + 'IC' + str(file_number) + '.bin', 'wb+') as chunk_file:
            chunk_file.write(chunk)
        file_number += 1
        chunk = f.read(smd_rom_size)

file_number = 0 
with open(output_path + 'IC0.bin', 'rb') as f:
    chunk = f.read(dip_rom_size)
    while chunk:
        if (file_number == 0):
            with open(output_path + '_IC22.bin', 'wb+') as chunk_file:
                chunk_file.write(chunk)
        else:
            with open(output_path + 'leftover' + str(file_number) + '.bin', 'wb+') as chunk_file:
                chunk_file.write(chunk)
        file_number += 1
        chunk = f.read(dip_rom_size)
        
os.remove(output_path + 'IC0.bin')